[erlang-bugs] Erlang Pre-Processor (epp) issue

Matthew Evans <>
Tue Mar 13 15:56:01 CET 2012


Hi,
Not sure if this should be a "bugs" or "questions" issue, since technically it isn't a bug. Perhaps it's a change request?
We are using Apache Thrift to get Java, Erlang and a small Python test app to communicate. We all have access to the Thrift files, even non-Erlang developers.
Unfortunately one particular set of these files has a nasty include hierarchy causing an "include too deep" error from epp. Personally I'd rather ensure that the include depth wasn't so bad, but I can't guarantee what Thrift does and I certainly can't guarantee what the Java developers do (since Java doesn't have include files it isn't a problem for them).
I have changed epp.erl in our system to change the depth check from 8 to 10, and it gets around the problem for now.
What I was wondering is if this should be a configurable option? I'm sure I am one of the first people to run into this issue.....
Cheers
Matt 		 	   		  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://erlang.org/pipermail/erlang-bugs/attachments/20120313/5e2da05a/attachment.html>


More information about the erlang-bugs mailing list